<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="So how are we making Death Knight Love Story happen?" />
<meta property="og:description" content="&rdquo;&hellip;and then, the magic happens.&rdquo;
Picture by Erin Hardee
That roughly sums up what we knew for sure about how Death Knight Love Story would be made. That was way back when in the mists of time, or at least 9 months ago when Death Knight Love Story was starting to come alive. Since then, we&rsquo;ve figured most of it out from first principles. So for those of you who are curious about how it&rsquo;s being made, like we were back then, here&rsquo;s a quick run down of the methods we&rsquo;re using right now to make the magic happen." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.strangecompany.org/how-make-dkls-happen/" />


<meta property="og:updated_time" content="2010-04-07T00:00:00&#43;00:00"/>











<meta itemprop="name" content="So how are we making Death Knight Love Story happen?">
<meta itemprop="description" content="&rdquo;&hellip;and then, the magic happens.&rdquo;
Picture by Erin Hardee
That roughly sums up what we knew for sure about how Death Knight Love Story would be made. That was way back when in the mists of time, or at least 9 months ago when Death Knight Love Story was starting to come alive. Since then, we&rsquo;ve figured most of it out from first principles. So for those of you who are curious about how it&rsquo;s being made, like we were back then, here&rsquo;s a quick run down of the methods we&rsquo;re using right now to make the magic happen.">


<meta itemprop="dateModified" content="2010-04-07T00:00:00&#43;00:00" />
<meta itemprop="wordCount" content="1120">



<meta itemprop="keywords" content="carcosa,classic-posts-from-machinima.com,comics,culture-and-law,death-knight-love-story,film-releases,game-design,guest-posting,history-of-machinima,kamikaze-cookery,live-action,machinima-in-the-news,motion-capture,offsite-articles,press-for-hugh-and-strangeco,research,talks,the-new-plan,virtual-reality,wierd-fantasy,2015,3d-chatroom,3d-engine,3dr-solo,adventure,after-effects,amazon,animation,anna-chancellor,appearances,artery,articles,audio,audio-drama,auld-reekie,awards,behind-the-scenes,blasphemous,blizzard,bloodspell,boingboing,brian-blessed,cambridge-film-festival,camerawork,capcom,carcosa,cellar-and-tower,cgi,characters,charles-stross,chris-jones,claws,cliffs,comedy,comic,comics,communication,conpulsion,convention,copyright,cthulhu,cthulhu-mythos,cutscenes,dangerous-treasures,dark-souls,darkening-twilight,daz3d,death-knight-love-story,death-marches,demon,development,dkls,dmca,dmfest,documentary,dota,drones,dvd,edinburgh,edinburgh-festival,edinburgh-interactive-entertainment-festival,eldrich,eschaton,esoterica,eula,experiments,eye-of-the-tower,facial-animation,fair-game,fair-trade,fair-use,fanfic,fantasy,fargo-film-festival,faust,faustian-bargain,feature-film,film,film-festivals,film-industry,filmmaking,filter-bubble,follow-focus,forbes,free-feature-film,fthagn,full-ownership,gamasutra,game-design,game-development,game-engine,games,gareth-edwards,gear-vr,geek,geek-lovecraft,gimbals,google,gopro,gpu-rendering,greenscreen,guest-blog,guest-posts,gyroscopes,half-life,hand-of-glory,have-you-seen-the-spires,hdri,history,horroc-comedy,horror,howto,howto-demon-summoning,howto-resurrection,howtodemon-summoning,htc-vive,hugh,hugh-hancock,ia,imus,independent,indie,indie-filmmaking,indiedev,inquisitors-oath,intellectual-property,interactive,interview,jack-davenport,joanna-lumley,johnnie-ingram,jrpg,kamikaze-cookery,king-in-yellow,language,languages,law,leap-motion,left-hand-path,left-handed-path,lessons-learned,lets-play,lily-drone,live-action,lord-byron,lovecraft,low-light,lumberyard,machinima,machinima.com,magic-of-the-dark,male-restroom-etiquette,matinee,matrix,matrix-4x1,mediums,minecraft,mmorpgs,mocap,motion-capture,motionbuilder,movies,mvn,mystery,nebula-4000,nell-gwyn,new-project,no-share,non-narrative,npr,occult,octane-render,oculus-rift,otoy,paddy-easton,panorama,paul-hamilton,paul-marino,performance-capture,pgwlnafh,pictures,pilot,pipeline,podcasting,podcasts,pre-rendering,press,private-servers,procedural-generation,props,punk,puppetry,quake-movie,radio,radio-plays,raindance,rando-cardrissian,release,renderers,rendering,research,rlyeh,robots,roger-ebert,romantic-poets,roomscale,rpg,rpgs,scripts,second-life,serialised-video,shambler,shoggoth,short-film,singapore,sinister,soloshot,sony-a7s,squamous,startup,stereo-cubemap,stone-and-sorcery,stories,stunts,subtitles,tarot,technical,telltale-games,test-project,text,the-future,the-goat-of-the-woods-with-a-thousand-young,the-guardian,the-return,the-scotsman,the-sims,time-travellers,trailer,tv,twitter,unity,unity-3d,unreal,upcoming,vfx,virtual-camera,virtual-reality,virtual-sets,visual-effects,vive,voxels,vr,vrjam,webcomic,websites,weird,westcott-icelight,when-we-two-parted,wholetsplay,why-machinima,work-in-progress,world-of-warcraft,wow,wow-insider,xsens," />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="So how are we making Death Knight Love Story happen?"/>
<meta name="twitter:description" content="&rdquo;&hellip;and then, the magic happens.&rdquo;
Picture by Erin Hardee
That roughly sums up what we knew for sure about how Death Knight Love Story would be made. That was way back when in the mists of time, or at least 9 months ago when Death Knight Love Story was starting to come alive. Since then, we&rsquo;ve figured most of it out from first principles. So for those of you who are curious about how it&rsquo;s being made, like we were back then, here&rsquo;s a quick run down of the methods we&rsquo;re using right now to make the magic happen."/>










<meta name="generator" content="Hugo 0.18" />


    <link rel="canonical" href="index.html">

    <title>So how are we making Death Knight Love Story happen? | Strange Company - Creating Virtual Worlds For 2 Decades</title>

    <!-- combined, minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">

    

    
<script>
window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
ga('create', 'UA-696676-12', 'auto');
ga('send', 'pageview');
</script>
<script async src='http://www.google-analytics.com/analytics.js'></script>


    

    


	
<style>

  @font-face{font-family:FontAwesome;src:url("http://d33wubrfki0l68.cloudfront.net/d980c2ce873dc43af460d4d572d441304499f400/44fd9/fonts/fontawesome-webfont.eot");src:url("http://d33wubrfki0l68.cloudfront.net/d980c2ce873dc43af460d4d572d441304499f400/44fd9/fonts/fontawesome-webfont.eot#iefix&v=4.7.0") format("embedded-opentype"),url("http://d33wubrfki0l68.cloudfront.net/d6f48cba7d076fb6f2fd6ba993a75b9dc1ecbf0c/a8490/fonts/fontawesome-webfont.woff2") format("woff2"),url("http://d33wubrfki0l68.cloudfront.net/28b782240b3e76db824e12c02754a9731a167527/9333f/fonts/fontawesome-webfont.woff") format("woff"),url("http://d33wubrfki0l68.cloudfront.net/13b1eab65a983c7a73bc7997c479d66943f7c6cb/8dbd9/fonts/fontawesome-webfont.ttf") format("truetype"),url("http://d33wubrfki0l68.cloudfront.net/98a8aa5cf7d62c2eff5f07ede8d844b874ef06ed/62e61/fonts/fontawesome-webfont.svg#fontawesomeregular") format("svg");font-weight:400;font-style:normal}.fa{display:inline-block;font:normal normal normal 14px/1 FontAwesome;font-size:inherit;text-rendering:auto;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.fa-lg{font-size:1.333333em;line-height:.75em;vertical-align:-15%}.fa-2x{font-size:2em}.fa-3x{font-size:3em}.fa-4x{font-size:4em}.fa-5x{font-size:5em}.fa-fw{width:1.285714em;text-align:center}.fa-tag:before{content:""}.fa-folder:before{content:""}.fa-facebook:before{content:""}.fa-google-plus:before{content:""}.fa-linkedin:before{content:""}.fa-rss:before{content:""}.fa-rss-square:before{content:""}.fa-twitter:before{content:""}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0}.sr-only-focusable:active,.sr-only-focusable:focus{position:static;width:auto;height:auto;margin:0;overflow:visible;clip:auto}

h1{
    padding-bottom: 1em;
}
.intro {
	padding: 1em 0 2.6em 0;
	text-align: center;
}
.intro img {
	max-height: 160px;
	border-radius: 50%;
}
.container{
    max-width: 1000px; 
}
h2{
    font-size:2em;
}
body {
	color: #333;
	font-family: 'Noticia Text', Georgia, serif;
	font-size: 1em;
	line-height: 1.5625;
	-webkit-text-size-adjust: none;
}

blockquote {
	position: relative;
	margin: 2em 0;
	padding: .4em 1.2em;
	font-size: 1.25em;
	font-weight: 400;
	font-style: italic;
	line-height: 1.5;
}

.aligncenter, .alignnone, .alignright, .alignleft {
	display: block;
	margin: 1.6em auto;
	clear: both;
}

.alignleft {
	float: left;
	margin: .4em 2em 1em 0;
}

.alignright {
	float: left;
	margin: .4em 2em 1em 0;
}

article img {width: 110%; margin-left: -5%; margin-top: 30px; margin-bottom: 30px; }

blockquote.alignleft, blockquote.alignright {
	width: 50% !important;
	padding-bottom: 0;
}

blockquote cite {
	display: block;
	font-size: 12px;
	padding-right: 1em;
	margin-top: 16px;
	font-style: normal;
	font-weight: 400;
	color: #bbb;
	text-transform: uppercase;
	letter-spacing: 2px;
}

blockquote::before {
	display: block;
	content: "\e81a";
	line-height: 1;
	font-size: 18px;
	position: absolute;
	left: 0;
	top: -12px;
}

.icon, .icon::before, .alert::before, blockquote::before, .flex-direction-nav a::before, .toggle h4::before, .search-toggle::before, .menu-toggle::before, .social-toggle::before, .mask::before, .post-format::before, .selector::before, .checker span::before, .radio span::before, .uploader span.action::before {
	font-family: fontello;
	font-style: normal;
	font-weight: 400;
	speak: none;
	display: inline-block;
	text-decoration: inherit;
	text-align: center;
	font-variant: normal;
	text-transform: none;
}

.embed-responsive{
    margin:20px; 
}

h2 {
	font-size: 1.5em;
	margin: 1.0em 0 0.4em 0;
	line-height: 1.3;
}

hr {
	padding: .2em 0 1em 0;
	margin-bottom: 2em;
	outline: 0;
	border-width: 0 0 1px 0;
	border-style: solid;
	border-color: #eee;
}

p, li {
	font-size: 19px;
	line-height: 30px;
}

.site-title {
	text-indent: 20px;
	font-size: 1.4em;
    font-weight:600; 
	letter-spacing: -1px;
    color: #333}


.nav{
    font-weight: 700; 
}

.navbar-nav{ 
    padding:0; margin:0; 
    }
.navbar-nav li { 
    line-height: 1; font-size: 15px; font-weight: bold; margin-left: 12px; margin-right: 12px; 
    }
.navbar-nav li a { 
     padding: 0.9em 22px; border-bottom: 1px solid #E7E7E7; 
    color:#333; 
    }
    .navbar{
        padding:0; line-height: 1.8; 
    }

.blog-post-meta{
		font-weight: 100;
		font-size: 0.9em;
		font-variant: small-caps; 
		text-align: center; 
	}

	.blog-post-title {
		text-align: center; 
	}

	.blog-post-title a{
		color: #333;
	}

	.blog-main h1{
		font-variant: small-caps; 
		text-align: center;
	}

	.blog-summary-image{
		width: 90%;
		margin: 0 auto;  
		min-height: 150px; 
		background-position: center center; 
		background-size: cover; 
	}

	.card-custom{
		width: 90vw;
		margin: 0.5vw; 
		flex: 1; 
		max-width: 90vw; 
	}

	.card-custom a{
		color: #333; 
	}

	.card-custom a:hover{
		text-decoration: none; 
		background-blend-mode: screen; 
	}

	.card-topper{
		width: 90vw;
		height: 60vw;
		background-position: center center; 
		background-size: cover;
	}

	.menu-button{
		margin:25px; 
		border: thin grey solid; 
		padding: 5px; 
		border-radius: 10px; 
		position: relative; 
		display: inline-block;
		left: -10vw; 
		top: -1.5vh; 
	}

	.top-image
	{
		min-height: 150px;
		margin-bottom: 30px; 
	}


@media (min-width: 768px)
{
		.card-topper{
		width: 45vw;
		height: 25vw;
		background-position: center center; 
		background-size: cover;
	}
		.card-custom{
		width: 45vw;
		margin: 0.5vw; 
		flex: 1; 
		max-width: 45vw; 
	}
    h2 {
	font-size: 2.10em;
}
.top-image
	{
		min-height: 250px;
	}
blockquote {
	font-size: 2em !important;
	line-height: 1.3 !important;
}

}

@media (min-width: 1024px)
{
	.card-topper{
		width: 29vw;
		height: 17vw;
	}
.card-custom{
		width: 29vw;
		margin: 0.5vw; 
		max-width: 29vw;
	}
}

@media (min-width: 1279px)
{
	.card-topper{
		width: 22vw;
		height: 12.5vw;
	}
.card-custom{
		width: 22vw;
		margin: 0.5vw; 
		max-width: 22vw;
	}
	.top-image
	{
		min-height: 400px;
		margin-bottom: 75px;
	}
}
</style>
<link href="https://fonts.googleapis.com/css?family=Noticia+Text" rel="stylesheet"> 
<link rel="stylesheet" id="fontello-css" href="../wp-content/themes/readme/css/fonts/fontello/css/fontello.css" type="text/css" media="all">
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>




    <nav class="navbar navbar-toggleable-md">
      <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        Menu
      </button>
      <a class="site-title navbar-brand " href="../index.html">Strange Company</a>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav mr-auto mt-2 mt-md-0">
        <li class="nav-item"> 
          <a href="../news/index.html" class="nav-link">Latest News</a>
        </li>
        <li class="nav-item"> 
          <a href="../articles/index.html" class="nav-link">Articles by Hugh</a>
        </li>
        <li class="nav-item"> 
          <a href="../about/index.html" class="nav-link">About Hugh Hancock And Strange Company</a>
        </li>
        <li class="nav-item"> 
          <a href="../vr/index.html" class="nav-link">My Virtual Reality Games</a>
        </li>
        <li class="nav-item"> 
          <a href="../films-and-comics/index.html" class="nav-link">My Movies And Comics</a>
        </li>
        <li class="nav-item"> 
          <a href="../other-projects/index.html" class="nav-link">My Other Projects</a>
        </li>
        <li class="nav-item"> 
          <a href="../contact/index.html" class="nav-link">Contact Me / Social Media</a>
        </li>
        </ul>
      </div>
   </nav>

<div class="container-fluid top-image" style="background-image: url( http://farm3.static.flickr.com/2684/4117321650_3872b949a2_m.jpg  ); background-size:cover; background-position: center center"></div>
    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="index.html">So how are we making Death Knight Love Story happen?</a></h2>
  </header>
  <p>&rdquo;&hellip;and then, the magic happens.&rdquo;</p>

<p><img src="http://farm3.static.flickr.com/2684/4117321650_3872b949a2_m.jpg" alt="" /></p>

<p><em>Picture by Erin Hardee</em></p>

<p>That roughly sums up what we knew for sure about how Death Knight Love Story would be made. That was way back when in the mists of time, or at least 9 months ago when Death Knight Love Story was starting to come alive. Since then, we&rsquo;ve figured most of it out from first principles. So for those of you who are curious about how it&rsquo;s being made, like we were back then, here&rsquo;s a quick run down of the methods we&rsquo;re using right now to make the magic happen.</p>

<p>Making an animated film divides into two halves: finding and recording our voice actors, and creating the visuals and animation that you&rsquo;ll see on the screen.</p>

<p>You might know that we&rsquo;re bandying some big names about in connection to the film&rsquo;s voice recording. If you didn&rsquo;t - well, we are. In fact, we&rsquo;ve just finished that side of things and I&rsquo;d go as far as to say it was a fairly simple affair - which doesn&rsquo;t mean it was easy. Just that getting household-name actors to star in Death Knight Love Story wasn&rsquo;t as impossible as you might think - although it was a pretty surreal experience</p>

<p>We started off by taking our chances. We met with <a href="http://www.imdb.com/name/nm0828412/">Gail Stevens</a>, one of the UK&rsquo;s top casting directors and, well, asked nicely. She took a shine to Death Knight Love Story and so we worked with her to develop a cast list of potential actors for each role. Hugh Hancock, the writer/director of Death Knight Love Story, said that the initial casting sessions were a strange experience, as they sat with lists of incredibly famous actors crossing them off because they didn&rsquo;t fit the character!</p>

<p>Over the next few weeks Gail and her team put a lot of work into hunting down actors to find out if they were interested in the film and could fit it into their schedules. Brian Blessed, in particular, was both so interested and busy that he deliberately made time for Death Knight Love Story and even discussed coming to Scotland to record if the motorway-closing snow in southern England earlier this year had persisted.</p>

<p>In fact all four actors were very enthusiastic, which was a delight for us from the moment they said &lsquo;yes&rsquo; to the day of recording. The recording itself took place at The Sound Company in London, the same place where Aardman Animation recorded Curse of the Were-Rabbit - bit of a different style of animated project there! The exception was Jack Davenport&rsquo;s recording, which took place in the ether somewhere between a skype connection and a sound studio in Los Angeles, where Jack was otherwise recording for JJ Abram&rsquo;s new series Flash Forward (and had navigated 9am LA rush-hour traffic to record for us!)</p>

<p>So the voice recording is all wrapped up and there are copies scattered in secure locations around the country, just in case we wear the master-copy out listening to &ldquo;Gordon&rsquo;s Alive?!&rdquo; But the sound, music and visuals are works in progress.</p>

<p>The visual side of things is where the real ground-breaking stuff is happening. Since Machinima is all about pupeteering we are of course using those traditional techniques - but we&rsquo;re combining them with new animation technology and some funky tricks you might have seen in films like Avatar. And with special ping pong balls.</p>

<p>The first step is capturing performances. We&rsquo;re using a motion capture studio, much like the ones used on &ldquo;Avatar&rdquo; and &ldquo;Lord of the Rings&rdquo;. Using the <a href="http://www.motioncapture.com">NaturalPoint &ldquo;Arena&rdquo; motion capture system</a>, we&rsquo;re using a motion capture suite and accompanying &lsquo;Arena&rsquo; software to capture the movements our motion capture actors are making.  In contrast to James Cameron&rsquo;s approach, we&rsquo;re treating performance capture as an animation technique, and working with dancers and martial artists - people who can use their bodies as an animation tool - to create a very different style of performance capture.</p>

<p>You might be wondering what a motion capture space looks like. It&rsquo;s actually not that fancy or high-tech to look at. Imagine a huge, grey-walled floodlit room with no heating, which is something you really, really notice in mid-winter. In that space think of 6 camera tripods in a hexagon on some dust sheets with wires trailing all over the place and attaching to small, delicate, expensive things. Got that? Good. You&rsquo;ve now got an accurate picture of an average motion capture space - or at least, of ours.</p>

<p>We knew at the beginning that this was an exciting, cutting edge technology - you know, the type that is quick and simple to set up. Or not. I seem to remember it took us about a month to go from receiving the motion capture system to actually capturing any useful motion - in between getting ill from dust inhalation in a basement we&rsquo;d borrowed. When we finally rented our space in the warehouse, it took us something like three days to edge cameras into the right place, set the system up so it worked, and patch our software. Then, we started wanding - waving a great long wand with a special ping-pong ball at the end, for minutes at a time. That&rsquo;s not as bad as it sounds - it&rsquo;s actually callibrating the system to understand the space we&rsquo;re in. Once it was done, we began recording motion by getting our motion capture actors to wear suits with ping-pong balls on them and directing them through the scenes.</p>

<p>(They&rsquo;re not actually ping-pong balls. We wish they were. Ping-pong balls are an awful lot cheaper.)</p>

<p>So Death Knight Love Story is using motion capture for all the characters and for all the scenes, from argument to combat to stolen moments in an ancient, tainted forest. We&rsquo;re then transferring the data from the motion capture suite to 3d Studio Max and Motionbuilder. It&rsquo;s there that we&rsquo;re transposing the movement data on to each character&rsquo;s unique and hand-made animation, or skin, and puppeteering them within the World of Warcraft universe to tell a love story between two death knights. From there, Hugh sets up lighting and camera angles, adds additional animation, creates sets, and does a lot of other things that apparently involve a fair amount of swearing. But the results are beautiful.</p>

<p>Interested in more details of how the DKLS production goes? We&rsquo;ll have more articles, pictures and video of the process over the next few months. If there&rsquo;s anything you&rsquo;re particularly curious about, please do let us know!</p>

<p><em>- Rebecca Judd is the &ldquo;embedded blogger&rdquo; on Death Knight Love Story, and has been following its production since the beginning. She also writes on World of Warcraft-related topics over at <a href="http://www.worldofmatticus.com">World of Matticus</a></em></p>


  

  
  <hr>
  <footer>


  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">

    </footer>
<script src="https://code.jquery.com/jquery-3.1.1.slim.min.js" integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous"></script>
  </body>

</html>
